Subject: bug#32800: closed ([PATCH/committed] tests: make silent-custom regex a little more robust)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Feb 2022 05:58:02 +0000

Your bug report

#32800: t/silent-custom fails for certain parent directory sequences

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32800: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32800
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [PATCH/committed] tests: make silent-custom regex a little more robust
From: Mike Frysinger <[email-masked]>
To: [email-masked]
Date: Thu, 24 Feb 2022 00:57:01 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixes automake bug https://bugs.gnu.org/32800.

Have the regex match the entire path with word boundaries on both
sides.  This should reduce false positives when the full cwd happens
to match parent directories.

* t/silent-custom.sh: Update the header output regex.
---
 t/silent-custom.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/t/silent-custom.sh b/t/silent-custom.sh
index 01cf464b99eb..977255b1312e 100644
--- a/t/silent-custom.sh
+++ b/t/silent-custom.sh
@@ -74,7 +74,7 @@ do_check ()
     $FGREP 'cp ' output && exit 1
     $FGREP 'generate-header' output && exit 1
     $FGREP 'rm -f' output && exit 1
-    grep '[012]\.h' output && exit 1
+    grep '\bsub/[012]\.h\b' output && exit 1
     grep '^ XGEN    foo$' output
     grep '^ GEN     \[headers\]$' output
   else
-- 
2.34.1

Subject: t/silent-custom fails for certain parent directory sequences
From: Frank Schaefer <[email-masked]>
To: [email-masked]
Date: Fri, 21 Sep 2018 19:38:13 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I just discovered that t/silent-custom can fail if any parent of the
build directory matches the "[012]\.h" regex.  Specifically, the 'grep
'[012]\.h' output && exit 1' command triggers a test failure.

(If you're wondering, one of my CI build-boxes just happened to kick
off a build in a '/var/tmp/.build.automake_1.16.1-0.hzA5PJ' tmpdir.)

Maybe refine this regex to " sub/[012]\.h"?